मैंने आधिकारिक साइट से पायथन 3.3 डाउनलोड किया है लेकिन इसे स्थापित करने का कोई विचार नहीं है।
मैं Ubuntu 12.04 का उपयोग कर रहा हूं
मैंने आधिकारिक साइट से पायथन 3.3 डाउनलोड किया है लेकिन इसे स्थापित करने का कोई विचार नहीं है।
मैं Ubuntu 12.04 का उपयोग कर रहा हूं
जवाबों:
पाइथन 3.3 को 29 सितंबर 2012 को रिलीज़ किया गया था, उबंटू 12.04 के रिलीज़ होने के कई महीने बाद । यह Ubuntu 12.10 में python3.3
पैकेज के रूप में शामिल है
यदि आप उबंटू संस्करण पर पायथन 3.3 स्थापित करना चाहते हैं जो इसके रिपॉजिटरी में नहीं है, तो आपके पास निम्नलिखित विकल्प हैं:
एक पीपीए का उपयोग करें
फेलिक्स क्रॉल द्वारा बनाए गए पुराने और नए पायथन संस्करणों वाले पीपीए हैं । स्थापना निर्देशों के लिए लुपर राउच का उत्तर देखें ।
स्रोत से संकलन पायथन
यह बहुत आसान है और आपको सिस्टम अजगर इंटरप्रेटर के साथ गड़बड़ किए बिना कई पायथन संस्करण रखने की अनुमति देता है (जिसका उपयोग बहुत सारे उबंटू स्वयं कार्यक्रमों द्वारा किया जाता है)। मेरी देव मशीन पर मैंने वस्तुतः 2.4 से 3.2 तक के दर्जनों अलग-अलग पायथन संस्करण खुशी से जीते हैं /opt
।
पाइथन को संकलित करने के लिए हमें सी कंपाइलर और अन्य सामान की आवश्यकता होती है
sudo apt-get install build-essential
SQLite का समर्थन करने के लिए Python के क्रम में SQLite का संस्थापन करने की आवश्यकता है।
sudo apt-get install libsqlite3-dev
sudo apt-get install sqlite3 # for the command-line client
sudo apt-get install bzip2 libbz2-dev
पायथन को डाउनलोड और संकलित करें:
wget http://www.python.org/ftp/python/3.3.5/Python-3.3.5.tar.xz
tar xJf ./Python-3.3.5.tar.xz
cd ./Python-3.3.5
./configure --prefix=/opt/python3.3
make && sudo make install
कुछ अच्छा स्पर्श एक py
कमांड बनाने के लिए एक सिमलिंक बनाकर देता है:
mkdir ~/bin
ln -s /opt/python3.3/bin/python3.3 ~/bin/py
वैकल्पिक रूप से, आप py
इसके बजाय नाम का उपनाम स्थापित कर सकते हैं :
echo 'alias py="/opt/python3.3/bin/python3.3"' >> .bashrc
और यह है। अब आपके पास कोई भी पायथन संस्करण हो सकता है, यहां तक कि एक अल्फा, या, कहें, अजगर की कुछ प्रतियों के लिए 3.3 अलग-अलग सेटिंग्स के साथ संकलित किया गया है ... ऐसा नहीं है कि कई लोगों को इसकी आवश्यकता है, हालांकि :)
पाइनेव का उपयोग करें
पाइनेव नामक एक सॉफ्टवेयर है जो आपको प्रक्रिया को स्वचालित करने में मदद कर सकता है - जो अनिवार्य रूप से करता है वह स्रोत से पायथन को संकलित करता है, इसे आपके घर निर्देशिका में स्थापित करता है। इसका लक्ष्य आपको कई पायथन संस्करणों को प्रबंधित करने में मदद करना है।
.py
साथ कुछ फाइलें हैं #!/usr/bin/env python
, मैं उन /opt/python3.3
सभी को संशोधित किए बिना इस स्थापना का उपयोग कैसे करूंगा ? या सिस्टम-स्थापित वाले भी।
py myscript.py
(जहां py
हम अभ्यास के अंत में बनाया गया सिमिलर है)। मैं भी आमतौर पर अपने प्रोजेक्ट्स के लिए virtualenv या buildout का उपयोग करता हूं।
यहाँ मैंने उबंटू 12.04 पर पायथन 3.3 स्थापित करने के लिए क्या किया है:
निर्भरता स्थापित करें:
sudo apt-get build-dep python3.2
sudo apt-get install libreadline-dev libncurses5-dev libssl1.0.0 tk8.5-dev zlib1g-dev liblzma-dev
पायथन 3.3.0 डाउनलोड करें:
wget http://python.org/ftp/python/3.3.0/Python-3.3.0.tgz
निकालें:
tar xvfz Python-3.3.0.tgz
कॉन्फ़िगर और स्थापित करें:
cd Python-3.3.0
./configure --prefix=/opt/python3.3
make
sudo make install
परीक्षण अगर यह काम किया:
/opt/python3.3/bin/python3
आपको कुछ ऐसा ही देखना चाहिए:
Python 3.3.0 (default, Jan 31 2013, 18:37:42)
[GCC 4.6.3] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>>
कुछ अतिरिक्त चीजें जो उपयोगी हैं ... आप अपने घर में एक आभासी वातावरण बना सकते हैं और बस मांग पर पायथन 3.3 सक्रिय कर सकते हैं ..
अपने घर में एक आभासी वातावरण बनाएँ:
/opt/python3.3/bin/pyvenv ~/py33
Virtualenv सक्रिय करें:
source ~/py33/bin/activate
वितरण उपकरण स्थापित करें:
wget http://python-distribute.org/distribute_setup.py
python distribute_setup.py
पाइप स्थापित करें:
easy_install pip
आप चाहते हैं कि किसी भी अजगर पैकेज स्थापित करें (यानी बोतल)
pip install bottle
का आनंद लें!
sudo apt-get build-dep python3.2
? आप शायद install
बीच में भूल गए :)
build-dep
एक पैकेज नहीं है, यह एक apt-get
क्रिया है (जैसे install
)। इसका अर्थ है " अनुरोधित स्रोत पैकेज (ओं) के निर्माण के लिए आवश्यक सभी पैकेज स्थापित करें "
Deadsnakes पीपीए पुराने और नए संस्करणों के लिए अजगर पैकेज दिया गया है:
sudo apt-get install python-software-properties
sudo add-apt-repository ppa:deadsnakes/ppa
sudo apt-get update
sudo apt-get install python3.3
Ubuntu 14.04 और पहले:
Python2.7 डिफ़ॉल्ट रूप से आता है, Ubuntu पर नियमित अजगर के शीर्ष पर python3 स्थापित करने के लिए पैकेज प्रबंधक का उपयोग करें, Ubuntu एक वर्चुअन के बिना एक ही समय में 2.7 और 3.2 दोनों को संभाल सकता है:
sudo apt-get install python3
python3 --version
Python 3.2.3
python --version
Python 2.2.3
उबुन्टु 18.04:
Python3 OS के साथ डिफ़ॉल्ट रूप से आता है और Python2.7 तब तक उपलब्ध नहीं होता जब तक कि आप विशेष रूप से इंस्टॉल नहीं करते।
तीन पैकेज के नाम से चुनने के लिए: python
, python-minimal
, python-all
। डिफ़ॉल्ट न्यूनतम है। ये शब्द अतिरिक्त सामान शामिल करने या न करने के लिए उबंटू रिपॉजिटरी में सिर्फ झंडे हैं। यह देखने के लिए कि क्या सबपैकेज हैं और शामिल नहीं हैं, के सबपैक पर नीचे ड्रिल करें : https://packages.ubuntu.com/bionic/python
sudo apt install python-minimal
python --version
या python3 को अपग्रेड करने का प्रयास करें:
sudo apt install python3-minimal
python --version
किसी विशिष्ट संस्करण को लागू करने का प्रयास करने के लिए, आप एक संस्करण पैरामीटर पास करने की कोशिश कर सकते हैं:
sudo apt-get install python 3.3.3
virtualenv
) में होना चाहिए । Google खोज: "पायथन के संस्करण को अलग करने के लिए virtualenv का उपयोग करें"। यदि आप किसी प्रकार के कंटेनर का उपयोग नहीं करते हैं, तो आप अपने आप को समस्याओं के एक भूलभुलैया में उजागर करते हैं, क्योंकि अजगर आपके कंप्यूटर पर एक विशाल गंदगी लेता है, हर नुक्कड़ पर कब्जा कर लेता है और वे जॉन क्लेसीयन फैशन में एक दूसरे से लड़ते हैं।
जो कोई भी दिलचस्पी रखता है, मैंने उबुन्टु 12.04 पर स्रोत से स्थानीय रूप से पायथॉन 3.3.2 स्थापित करने के बारे में एक और क्रिया कदम-दर-चरण लेख लिखा है, जो कि ज्यादातर @ सेर्गेई के उत्कृष्ट उत्तर को पढ़ने पर आधारित है: http://nicholsonjf.com/ ब्लॉग / स्थापित-python3-स्थानीय रूप से से स्रोत
मैंने नॉन-पैकेज पायथन संस्करणों के डाउनलोडिंग, संकलन और स्थापना को स्वचालित करने के लिए एक स्क्रिप्ट लिखी है। स्क्रिप्ट पायथन संस्करण /opt
पैकेज प्रबंधक और सिस्टम संस्करणों से दूर सुरक्षित रूप से पायथन संस्करण स्थापित करता है ।
यह निर्भरता के साथ-साथ उबंटू के अधिकांश संस्करणों के लिए भी प्राप्त करता है। यह वर्तमान में समर्थित सभी उबंटू संस्करणों (10.04, 12.04, 12.10 और 13.04) पर काम करना चाहिए, और शायद अन्य संस्करणों पर।
मैं इसे नीचे शामिल करता हूं, और इसे मेरे जीथूब रिपॉजिटरी में भी पोस्ट किया है , जो मास्टर स्थान है।
स्क्रिप्ट को कॉपी किया जाना चाहिए और एक पाठ संपादक में सहेजा जाना चाहिए, उदाहरण के लिए, build_python
और निष्पादन योग्य ( chmod u+x build_python
) बनाया गया और फिर दो मापदंडों के साथ चलाया जा सकता है, जहां पहले पैरामीटर हमेशा पायथन शाखा होना चाहिए, और दूसरा पैरामीटर हमेशा होना चाहिए पायथन संस्करण।
जिस संकलन को आप संकलित करना चाहते हैं, उसके लिए लिस्टिंग के लिए python.org देखें ।
यहाँ स्क्रिप्ट के उपयोग के कुछ उदाहरण दिए गए हैं:
स्थिर रिलीज़ के लिए, सूचियों की जाँच करने के बाद, इसे निम्नानुसार चलाया जा सकता है
./build_python '3.3.2' '3.3.2'
विकास रिलीज के लिए, जहां दो पैरामीटर लिस्टिंग में अलग हैं, इसे निम्नानुसार चलाया जा सकता है:
./build_python '3.4.0' '3.4.0a1'
स्क्रिप्ट के शरीर से नीचे (कोई वाक्य रचना यहाँ पर प्रकाश डाला गयी है कि के लिए, मेरे देखते हैं। Github पेज :
#!/usr/bin/env bash
# by mik, aka Exactus29, https://github.com/Exactus29
#
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
##########
# a script to compile the latest stable version of Python and place in /opt
(( $# == 2 )) || { printf "Please provide a version branch (e.g. 3.4.0) and a version release (e.g. 3.4.0a1) in that order.\n"
printf "The official site is python.org, see the ftp server at: http://python.org/ftp/python.\n" >&2 ; exit 1; }
# a splew of variables, so that just the version number can be given on the cmd line
# and then then the script can do the rest, including verifying the packages using gpg
# need different branch and version as sometimes the two are different, particularly for dev releases
py_branch="$1"
py_version="$2"
shift 2
# check if install target already exists in /opt, and exit so user can decide what to do
if [[ -d /opt/python-${py_version} ]]; then
printf "Target directory for the build already exists, please rename or remove.\n" >&2
exit 1
else
:
fi
# use tar.bz2 as that is what most of the older releases used, i.e. in case user tries to build an older release
py_url="http://python.org/ftp/python/${py_branch}/Python-${py_version}.tar.bz2"
py_asc="http://python.org/ftp/python/${py_branch}/Python-${py_version}.tar.bz2.asc"
py_dir="$HOME/src/python_build" # checked to exist later, etc
# first check if user requested file exists on server
wget --spider ${py_url} >/dev/null 2>&1
(( $? > 0 )) && printf "No such version, version ${py_version} does not exist\n" >&2 && exit 1
# now very important before we do anything else, to check if asc file exists, as it doesn't for some downloads
# if we don't check and it doesn't exist it causes the script to exit
wget --spider ${py_asc} >/dev/null 2>&1
# set a flag re whether asc file exists, so can check later and avoid problems
(( $? > 0 )) && no_asc=1 || no_asc=0
# set up more variables
py_tarbz2="${py_url##*/}"
(( no_asc == 0 )) && py_tarbz2_asc="${py_asc##*/}" # only set this if there is an asc file
py_folder="${py_tarbz2%.*.*}"
py_gpg_key=""
# check other build dependencies are installed, beyond build-dep, sqlite support, readline, ncurses, build-essential
dependencies_check() {
local installed=()
local to_be_installed=()
local dependencies_list=(build-essential wget libreadline-dev libncurses5-dev libssl1.0.0 tk8.5-dev zlib1g-dev liblzma-dev
libsqlite3-dev sqlite3 bzip2 libbz2-dev)
for package in "${dependencies_list[@]}"; do
if grep -iq '^ii' < <(dpkg -l "$package"); then
installed+=("$package")
else
to_be_installed+=("$package")
fi
done 2>/dev/null
if (( ${#to_be_installed[@]} > 0 )); then
printf "If you have recently elevated your privileges with sudo, you will not see a "
printf "prompt here, before the apt-get update and install of packages occurs.\n"
sleep 2
sudo -p "We need to install some dependencies, please enter your password: " apt-get update && sudo apt-get -y install "${to_be_installed[@]}"
return 0
else
printf "\nNothing to install, proceeding.\n"
return 0
fi
}
# tailor build-dep to new python version we want to build, basically either 2x or 3x versions
# should work with at least lucid/precise/quantal/raring/saucy, the currently supported versions
if (( ${py_branch:0:1} == 3 )) && grep -iq 'precise' /etc/lsb-release 2>/dev/null; then
sudo -p "Please provide your password to install dependencies: " apt-get build-dep python3.2 && dependencies_check
elif (( ${py_branch:0:1} == 3 )) && grep -Eiq '(raring|quantal|saucy)' /etc/lsb-release 2>/dev/null; then
sudo -p "Please provide your password to install dependencies: " apt-get build-dep python3.3 && dependencies_check
elif [[ ${py_branch:0:3} == 2.7 ]] && grep -iq 'lucid' /etc/lsb-release 2>/dev/null; then
sudo -p "Please provide your password to install dependencies: " apt-get build-dep python2.6 && dependencies_check
elif [[ ${py_branch:0:3} == 2.7 ]]; then
sudo -p "Please provide your password to install dependencies: " apt-get build-dep python2.7 && dependencies_check
else
printf "\nProceeding, but make sure you have the correct build deps installed.\n\n"
sleep 2
fi
# dir checks
if [[ -d $HOME/src ]]; then
cd $HOME/src || exit 1
else
mkdir $HOME/src && cd $HOME/src
fi
if [[ -d ${py_dir} ]]; then
mv "${py_dir}" "${py_dir}_old_$(date '+%F_%H_%M_%S')"
mkdir "${py_dir##*/}" && cd "${py_dir##*/}"
else
mkdir "${py_dir##*/}" && cd "${py_dir##*/}"
fi
# finally, download python
printf "\nNow downloading version ${py_version} from branch ${py_branch} ....."
wget "${py_url}" -P "${py_dir}" >/dev/null 2>&1
(( $? == 0 )) && printf "Done.\n"
# only download asc if it exists, set flag earlier
(( no_asc == 0 )) && wget "${py_asc}" -P "${py_dir}" >/dev/null 2>&1
# gpg tests
gpg_test() {
# if error returned, extract gpg key from error message
py_gpg_key="$(gpg --verify "${py_tarbz2_asc}" "${py_tarbz2}" 2>&1 | awk '{ print $NF }' | grep -v found)"
# now check with gpg_key (should be Python release signing key)
printf "\nReceiving keys.. "
gpg --recv-keys "${py_gpg_key}" >/dev/null 2>&1
(( $? > 0)) && printf "Key could not be received\n" || printf "Done.\n"
printf "\nVerifying download... "
gpg --verify "${py_tarbz2_asc}" "${py_tarbz2}" >/dev/null 2>&1
(( $? > 0 )) && printf "The download could not be verified.\n" || printf "Done.\n"
}
if (( no_asc == 0 )); then
gpg --verify "${py_tarbz2_asc}" "${py_tarbz2}" >/dev/null 2>&1
if (( $? > 0 )); then
gpg_test
else
printf "\nDownload verified\n\n"
fi
else
printf "\nProceeding even though asc file is not available for gpg to verify download\n\n"
sleep 1
fi
# unpack and cd to the python folder
printf "Unpacking archive...."
tar xvjf "${py_folder}.tar.bz2" >/dev/null 2>&1
(( $? == 0 )) && printf "Done.\n" || { printf "Problems occured when unpacking, exiting\n" >&2; exit 1; }
cd "${py_folder}" || exit 1
# tailor the build to your machine here with configure and make
printf "\nNow for the configure (default prefix is /opt/python-${py_version})...."
sleep 2
./configure --prefix=/opt/python-${py_version} >/dev/null 2>&1
# as configure and make will exit anyway on error, no need to add || alternatives to the tests below
(( $? == 0 )) && printf "Done.\n\n"
sleep 1
printf "\nNow for the compile. (If necessary, please add your own specifications to the make command line and run the script again)\n"
printf "\nPlease wait for the compile to finish: it may take a while...."
make >/dev/null 2>&1
(( $? == 0 )) && printf "Done.\n\n"
printf "\nWe are installing with make install into /opt, instead of using checkinstall.\n"
sudo make install >/dev/null 2>&1
installcode=$?
(( $installcode == 0 )) && printf "\n${py_version} succesfully installed in /opt/python-${py_version}\n\n"
if [[ -d $HOME/bin ]]; then
ln -s /opt/python-${py_version}/bin/python${py_version:0:3} ~/bin/py-${py_version}
(( $? == 0 )) && printf "\nSymlink created, run py-${py_version} in the terminal to launch the interpreter\n"
else
mkdir $HOME/bin && ln -s /opt/python-${py_version}/bin/python${py_version:0:3} ~/bin/py-${py_version}
(( $? == 0 )) && printf "\nSymlink created, run py-${py_version} in the terminal to launch the interpreter\n"
printf "\nHowever, you will not be able to call py-${py_version} until you have logged out and in again, as bin will not"
printf " have been added to your path just as $HOME/bin is created.\nn"
fi
# important info re setting up pyvenv re distribute tools and pip etc
cat <<extra_info
See also a program called pyvenv with your installation in /opt,
with which you can create a virtual environment and use tools
such as pip, etc. See the official documentation at:
http://docs.python.org/3.3/using/scripts.html#pyvenv-creating-virtual-environments
extra_info
sleep 2
exit ${installcode}
चेतावनी : अजगर के पक्ष में अजगर का चित्रण किया गया है। अद्यतन निर्देश यहां दिए गए हैं
इसके अलावा आप अजगर की तरह कुछ का उपयोग कर सकते हैं :
curl -kL http://xrl.us/pythonbrewinstall | bash
echo "[[ -s $HOME/.pythonbrew/etc/bashrc ]] && source $HOME/.pythonbrew/etc/bashrc" >> ~/.bashrc
pythonbrew install 3.3
यह उपयोग करने के लिए काफी आसान है, और एक और लाभ, कि आपके लिए किसी भी अजगर संस्करण को स्थापित करना संभव है। कृपया मोड विवरण के लिए उनके डॉक्स देखें
यहाँ वे चरण हैं जिनका मैंने अनुसरण किया है:
wget http://python.org/ftp/python/3.3.2/Python-3.3.2.tar.bz2
tar -xvjf ./Python-3.3.2.tar.bz2
cd ./Python-3.3.2
./configure --prefix=/opt/python3.3
make && make install
mkdir ~/bin
ln -s /opt/python3.3/bin/python ~/bin/py
echo 'alias py="/opt/python3.3/bin/python3"' >> .bashrc